// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.


using System;
using System.Runtime.InteropServices;
using System.Runtime.CompilerServices;
using System.Text;
using Silk.NET.Core;
using Silk.NET.Core.Native;
using Silk.NET.Core.Attributes;
using Silk.NET.Core.Contexts;
using Silk.NET.Core.Loader;

#pragma warning disable 1591

namespace Silk.NET.Vulkan
{
    [NativeName("Name", "VkPhysicalDeviceProvokingVertexFeaturesEXT")]
    public unsafe partial struct PhysicalDeviceProvokingVertexFeaturesEXT
    {
        public PhysicalDeviceProvokingVertexFeaturesEXT
        (
            StructureType? sType = StructureType.PhysicalDeviceProvokingVertexFeaturesExt,
            void* pNext = null,
            Bool32? provokingVertexLast = null,
            Bool32? transformFeedbackPreservesProvokingVertex = null
        ) : this()
        {
            if (sType is not null)
            {
                SType = sType.Value;
            }

            if (pNext is not null)
            {
                PNext = pNext;
            }

            if (provokingVertexLast is not null)
            {
                ProvokingVertexLast = provokingVertexLast.Value;
            }

            if (transformFeedbackPreservesProvokingVertex is not null)
            {
                TransformFeedbackPreservesProvokingVertex = transformFeedbackPreservesProvokingVertex.Value;
            }
        }

/// <summary></summary>
        [NativeName("Type", "VkStructureType")]
        [NativeName("Type.Name", "VkStructureType")]
        [NativeName("Name", "sType")]
        public StructureType SType;
/// <summary></summary>
        [NativeName("Type", "void*")]
        [NativeName("Type.Name", "void")]
        [NativeName("Name", "pNext")]
        public void* PNext;
/// <summary></summary>
        [NativeName("Type", "VkBool32")]
        [NativeName("Type.Name", "VkBool32")]
        [NativeName("Name", "provokingVertexLast")]
        public Bool32 ProvokingVertexLast;
/// <summary></summary>
        [NativeName("Type", "VkBool32")]
        [NativeName("Type.Name", "VkBool32")]
        [NativeName("Name", "transformFeedbackPreservesProvokingVertex")]
        public Bool32 TransformFeedbackPreservesProvokingVertex;
    }
}
